﻿local _G = _G
local Skills = _G.LibStub("LibDataBroker-1.1"):NewDataObject("Broker_Skills", {
	type = "data source",
	icon = "Interface\\Icons\\Trade_Engineering",
	label = "Skills",
})

function Skills:OnClick()
	ToggleSpellBook(BOOKTYPE_PROFESSION)
end

function Skills:OnTooltipShow()
	local prof1, prof2, arch, fish, cook, firstAid = GetProfessions()
	self:AddLine("Skills")
	Skills.AddSkillToTooltip(self, prof1, PROFESSIONS_FIRST_PROFESSION)
	Skills.AddSkillToTooltip(self, prof2, PROFESSIONS_SECOND_PROFESSION)
	Skills.AddSkillToTooltip(self, arch, PROFESSIONS_ARCHAEOLOGY)
	Skills.AddSkillToTooltip(self, fish, PROFESSIONS_FISHING)
	Skills.AddSkillToTooltip(self, cook, PROFESSIONS_COOKING)
	Skills.AddSkillToTooltip(self, firstAid, PROFESSIONS_FIRST_AID)
end

function Skills:AddSkillToTooltip(skillid, fallback)
	if not skillid then
		return self:AddDoubleLine(fallback, UNKNOWN)
	end
	local name, icon, skillLevel, maxSkillLevel, numAbilities, spelloffset, skillLine = GetProfessionInfo(skillid)
	self:AddDoubleLine(("|T%s:0|t%s"):format(icon, name), ("%d/%d"):format(skillLevel, maxSkillLevel))
end
